Articles of emerge

Gentoo no pudo emerger sys-devel / prelink-20130503

Estoy tratando de instalar el package Gentoo de app-emulation/wine usando el command: sudo WINE_COMMIT="wine-2.0-rc5" STAGING_COMMIT="v2.0-rc5" emerge -av '=app-emulation/wine-9999' pero la compilation de sys-devel/prelink-20130503 ha fallado. Tal vez estas informaciones serán útiles: Indicadores USE globales que se establecen en /etc/portage/make.conf : userlocales unicode nls tools X a52 aac acl acpi alsa amd64 berkdb -bindist bluetooth branding […]

Forwardticks en command de ejemplo en `man emerge`: mala configuration local o error tipográfico?

En Manpage of EMERGE se dice: para encontrar files que necesiten actualizarse en / etc, escriba find / etc -iname'._cfg ???? _ '* Echándole un vistazo más de cerca (copydo y pegado desde la terminal – no de la versión en línea del manual): find /etc -iname ´._cfg????_*´ . Usar exactamente este command no funcionará […]

Cómo eliminar el set de portage

Estaba lidiando con muchos bloques de Qt5. [blocks B ] <dev-qt/qtgui-4.8.6:4 ("<dev-qt/qtgui-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102) [blocks B ] <dev-qt/qtsql-4.8.6:4 ("<dev-qt/qtsql-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102) [blocks B ] <dev-qt/qtcore-4.8.6:4 ("<dev-qt/qtcore-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102) [blocks B ] <dev-qt/qtopengl-4.8.6:4 ("<dev-qt/qtopengl-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102) [blocks B ] <dev-qt/qt3support-4.8.6:4 ("<dev-qt/qt3support-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102) [blocks B ] <dev-qt/qtscript-4.8.6:4 ("<dev-qt/qtscript-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102) […]

¿Cómo download la fuente de Nouveau en el directory seleccionado con Portage?

Me gustaría download el código fuente de Nouveau. Hay un ebuild x11-drivers/xf86-video-nouveau , pero no quiero instalarlo (aunque la descarga está bien). Digamos que quiero instalarlo en ~/nouveau-src/ . ¿Hay alguna manera de hacerlo con Portage ?

Error al salir de net-fs / samba-4.7.0-r1

Estoy tratando de actualizar Gentoo a inestable. Ejecuté emerge @preserved-rebuild porque la installation de virtualbox-guest-additions falla. emerge @preserved-rebuild detuvo y arrojó un error mientras Samba comstackba. emerge @preserved-rebuild Error: Build failed: -> task failed (err #11): {task: manpages/smb.conf.5 smb.conf.5.xml,parameters.all.xml -> smb.conf.5} * ERROR: net-fs/samba-4.7.0-r1::gentoo failed (compile phase): * build failed * * Call stack: * […]

Gentoo cómo comstackr LVM estáticamente vinculado?

Una installation de Gentoo que todavía está en la etapa livecd (no se puede iniciar hasta ahora) no emerge LVM estáticamente. Necesito un lvm comstackdo estáticamente para usarlo en mi initrd. Mi make.conf: CFLAGS="-O2 -march=native -pipe" CXXFLAGS="${CFLAGS}" CHOST="x86_64-pc-linux-gnu" USE="bindist mmx sse sse2 static" El error de compilation emerge: /usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/../../../../lib64/libudev.a(time-util.o): In function `now': (.text.now+0x8): undefined reference […]

Gentoo no actualizará Chromium debido al conflicto con libxml, icu USE flag se establece globalmente en make.conf, qt-webkit no es parte del conflicto

Estoy ejecutando Gentoo Hardened usando kernel versión 4.1.7-hardened-r1. Cuando configuré mi sistema por primera vez, pude salir de Chromium sin problemas. Sin embargo, recientemente emerge –sync seguido de una actualización mundial, y ahora Chromium no se actualizará con este error. rockshooter /etc/portage # emerge -aNDu –with-bdeps=y @world These are the packages that would be merged: […]

¿Cómo aplico múltiples perfiles a la vez en Gentoo?

Estoy instalando KDE en un sistema Gentoo Linux Hardened. El wiki oficial de Gentoo dice que la forma recomendada es aplicar el perfil de escritorio de KDE, emitir emerge -NDu –with-bdeps=y @world , y luego instalar el package kdebase-meta . Sin embargo, estoy en el perfil de Hardened y aparentemente solo puedo tener un perfil […]

¿Es seguro 'emerge -uavDN @ world` mientras trabaja?

En una pregunta relacionada, algunas respuestas (" Sí ", " … no hay problema ", " típicamente … no hay problema ") verifican que es seguro realizar emerge -uavDN @world mientras se trabaja. ¿Es realmente así (para Funtoo / Gentoo)?

package.use equivalente para VIDEO_CARDS, ABI_X86, etc.

Puede configurar indicadores USE por package en /etc/portage/package.use . ¿Hay un equivalente para banderas similares como ABI_X86 o VIDEO_CARDS ?